const d3 = require("d3-force")

const nodes = [{x:0, y:1}]
const sim = d3.forceSimulation()
    .nodes(nodes)
    .force('y', d3.forceY(0).strength(-0.5))
    .force('collide', () => sim.nodes(fixToY(sim.nodes())))

const fixToY = (nodes) => nodes.map(n => ({...n, y:0, vy:0}))
//sim.on('tick', () => sim.nodes(fixToY(sim.nodes())))

sim.tick();
console.log(sim.nodes()[0].y)

sim.tick()
console.log(sim.nodes()[0].y)

sim.nodes(fixToY(sim.nodes()))
console.log(sim.nodes()[0].y);
